import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 嵌套流程（主）服务对象基类
 *
 * @export
 * @class IBIZSample0006ServiceBase
 * @extends {EntityServie}
 */
export default class IBIZSample0006ServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZSample0006ServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZSample0006ServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZSample0006ServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizsample0006';
        this.APPDEKEY = 'ibizsample0006id';
        this.APPDENAME = 'ibizsample0006s';
        this.APPDETEXT = 'ibizsample0006name';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0006ServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().post(`/ibizsample0006s/${context.ibizsample0006}/select`,data,isloading);

            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZSample0006ServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}